Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.avtransport.dto
Enum PlayMode

    java.lang.Object
      java.lang.Enum<PlayMode>
          org.teleal.cling.support.avtransport.dto.PlayMode

All Implemented Interfaces:
  Serializable, Comparable<PlayMode>

    public enum PlayMode

extends Enum<PlayMode>

Enum Constant Summary
`DIRECT_1`
`INTRO`
`NORMAL`
`RANDOM`
`REPEAT_ALL`
`REPEAT_ONE`
`SHUFFLE`

Method Summary
`static PlayMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PlayMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NORMAL

    public static final PlayMode NORMAL

### SHUFFLE

    public static final PlayMode SHUFFLE

### REPEAT_ONE

    public static final PlayMode REPEAT_ONE

### REPEAT_ALL

    public static final PlayMode REPEAT_ALL

### RANDOM

    public static final PlayMode RANDOM

### DIRECT_1

    public static final PlayMode DIRECT_1

### INTRO

    public static final PlayMode INTRO

Method Detail

### values

    public static PlayMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PlayMode c : PlayMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PlayMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.